## org.apache.lucene.index
Interface IndexCommitPoint

All Known Implementing Classes:
  IndexCommit

Deprecated. Please subclass IndexCommit class instead

    public interface IndexCommitPoint

Method Summary
`void` `delete()` Deprecated. Delete this commit point.
`java.util.Collection` `getFileNames()` Deprecated. Returns all index files referenced by this commit point.
`java.lang.String` `getSegmentsFileName()` Deprecated. Get the segments file (`segments_N`) associated with this commit point.

Method Detail

### getSegmentsFileName

    java.lang.String getSegmentsFileName()

  Deprecated.
  Get the segments file (`segments_N`) associated with this commit point.

### getFileNames

    java.util.Collection getFileNames()
                                      throws java.io.IOException

  Deprecated.
  Returns all index files referenced by this commit point.

  Throws:
    `java.io.IOException`

### delete

    void delete()

  Deprecated.
  Delete this commit point.

  Upon calling this, the writer is notified that this commit point should be deleted.

  Decision that a commit-point should be deleted is taken by the `IndexDeletionPolicy` in effect and therefore this should only be called by its `onInit()` or `onCommit()` methods.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.